CREATE TABLE product (
  product_id		BIGINT GENERATED BY DEFAULT AS IDENTITY(START WITH 100, INCREMENT BY 1) PRIMARY KEY,
  product_code		VARCHAR(32) NOT NULL UNIQUE,
  product_price		DOUBLE NOT NULL,
);

CREATE TABLE product_refill (
  refill_id		BIGINT GENERATED BY DEFAULT AS IDENTITY(START WITH 100, INCREMENT BY 1) PRIMARY KEY,
  refill_product_id	BIGINT REFERENCES product(product_id) NOT NULL,
  refill_quantity 		INTEGER,
  refill_created_date	TIMESTAMP NOT NULL
);

CREATE TABLE product_sale (
	sale_id 		BIGINT GENERATED BY DEFAULT AS IDENTITY(START WITH 100, INCREMENT BY 1) PRIMARY KEY,
	sale_user_id	BIGINT NOT NULL,
	sale_product_id	BIGINT REFERENCES product(product_id) NOT NULL,
	sale_quantity		INTEGER,
	sale_created_date	TIMESTAMP NOT NULL
);
